searchNodes=[{"ref":"GoogleApi.CloudDebugger.V2.Api.Controller.html","title":"GoogleApi.CloudDebugger.V2.Api.Controller","module":"GoogleApi.CloudDebugger.V2.Api.Controller","type":"module","doc":"API calls for all endpoints tagged Controller."},{"ref":"GoogleApi.CloudDebugger.V2.Api.Controller.html#clouddebugger_controller_debuggees_breakpoints_list/4","title":"GoogleApi.CloudDebugger.V2.Api.Controller.clouddebugger_controller_debuggees_breakpoints_list/4","module":"GoogleApi.CloudDebugger.V2.Api.Controller","type":"function","doc":"Returns the list of all active breakpoints for the debuggee. The breakpoint specification (&#x60;location&#x60;, &#x60;condition&#x60;, and &#x60;expressions&#x60; fields) is semantically immutable, although the field values may change. For example, an agent may update the location line number to reflect the actual line where the breakpoint was set, but this doesn&#39;t change the breakpoint semantics. This means that an agent does not need to check if a breakpoint has changed when it encounters the same breakpoint on a successive call. Moreover, an agent should remember the breakpoints that are completed until the controller removes them from the active list to avoid setting those breakpoints again. Parameters connection (GoogleApi.CloudDebugger.V2.Connection): Connection to server debuggee_id (String.t): Identifies the debuggee. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :successOnTimeout (boolean()): If set to &#x60;true&#x60; (recommended), returns &#x60;google.rpc.Code.OK&#x60; status and sets the &#x60;wait_expired&#x60; response field to &#x60;true&#x60; when the server-selected timeout has expired. If set to &#x60;false&#x60; (deprecated), returns &#x60;google.rpc.Code.ABORTED&#x60; status when the server-selected timeout has expired. :waitToken (String.t): A token that, if specified, blocks the method call until the list of active breakpoints has changed, or a server-selected timeout has expired. The value should be set from the &#x60;next_wait_token&#x60; field in the last response. The initial value should be set to &#x60;&quot;init&quot;&#x60;. Returns {:ok, %GoogleApi.CloudDebugger.V2.Model.ListActiveBreakpointsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.CloudDebugger.V2.Api.Controller.html#clouddebugger_controller_debuggees_breakpoints_update/5","title":"GoogleApi.CloudDebugger.V2.Api.Controller.clouddebugger_controller_debuggees_breakpoints_update/5","module":"GoogleApi.CloudDebugger.V2.Api.Controller","type":"function","doc":"Updates the breakpoint state or mutable fields. The entire Breakpoint message must be sent back to the controller service. Updates to active breakpoint fields are only allowed if the new value does not change the breakpoint specification. Updates to the &#x60;location&#x60;, &#x60;condition&#x60; and &#x60;expressions&#x60; fields should not alter the breakpoint semantics. These may only make changes such as canonicalizing a value or snapping the location to the correct line of code. Parameters connection (GoogleApi.CloudDebugger.V2.Connection): Connection to server debuggee_id (String.t): Identifies the debuggee being debugged. id (String.t): Breakpoint identifier, unique in the scope of the debuggee. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (UpdateActiveBreakpointRequest): Returns {:ok, %GoogleApi.CloudDebugger.V2.Model.UpdateActiveBreakpointResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.CloudDebugger.V2.Api.Controller.html#clouddebugger_controller_debuggees_register/3","title":"GoogleApi.CloudDebugger.V2.Api.Controller.clouddebugger_controller_debuggees_register/3","module":"GoogleApi.CloudDebugger.V2.Api.Controller","type":"function","doc":"Registers the debuggee with the controller service. All agents attached to the same application must call this method with exactly the same request content to get back the same stable &#x60;debuggee_id&#x60;. Agents should call this method again whenever &#x60;google.rpc.Code.NOT_FOUND&#x60; is returned from any controller method. This protocol allows the controller service to disable debuggees, recover from data loss, or change the &#x60;debuggee_id&#x60; format. Agents must handle &#x60;debuggee_id&#x60; value changing upon re-registration. Parameters connection (GoogleApi.CloudDebugger.V2.Connection): Connection to server optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (RegisterDebuggeeRequest): Returns {:ok, %GoogleApi.CloudDebugger.V2.Model.RegisterDebuggeeResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.CloudDebugger.V2.Api.Debugger.html","title":"GoogleApi.CloudDebugger.V2.Api.Debugger","module":"GoogleApi.CloudDebugger.V2.Api.Debugger","type":"module","doc":"API calls for all endpoints tagged Debugger."},{"ref":"GoogleApi.CloudDebugger.V2.Api.Debugger.html#clouddebugger_debugger_debuggees_breakpoints_delete/5","title":"GoogleApi.CloudDebugger.V2.Api.Debugger.clouddebugger_debugger_debuggees_breakpoints_delete/5","module":"GoogleApi.CloudDebugger.V2.Api.Debugger","type":"function","doc":"Deletes the breakpoint from the debuggee. Parameters connection (GoogleApi.CloudDebugger.V2.Connection): Connection to server debuggee_id (String.t): ID of the debuggee whose breakpoint to delete. breakpoint_id (String.t): ID of the breakpoint to delete. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :clientVersion (String.t): The client version making the call. Schema: &#x60;domain/type/version&#x60; (e.g., &#x60;google.com/intellij/v1&#x60;). Returns {:ok, %GoogleApi.CloudDebugger.V2.Model.Empty{}} on success {:error, info} on failure"},{"ref":"GoogleApi.CloudDebugger.V2.Api.Debugger.html#clouddebugger_debugger_debuggees_breakpoints_get/5","title":"GoogleApi.CloudDebugger.V2.Api.Debugger.clouddebugger_debugger_debuggees_breakpoints_get/5","module":"GoogleApi.CloudDebugger.V2.Api.Debugger","type":"function","doc":"Gets breakpoint information. Parameters connection (GoogleApi.CloudDebugger.V2.Connection): Connection to server debuggee_id (String.t): ID of the debuggee whose breakpoint to get. breakpoint_id (String.t): ID of the breakpoint to get. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :clientVersion (String.t): The client version making the call. Schema: &#x60;domain/type/version&#x60; (e.g., &#x60;google.com/intellij/v1&#x60;). Returns {:ok, %GoogleApi.CloudDebugger.V2.Model.GetBreakpointResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.CloudDebugger.V2.Api.Debugger.html#clouddebugger_debugger_debuggees_breakpoints_list/4","title":"GoogleApi.CloudDebugger.V2.Api.Debugger.clouddebugger_debugger_debuggees_breakpoints_list/4","module":"GoogleApi.CloudDebugger.V2.Api.Debugger","type":"function","doc":"Lists all breakpoints for the debuggee. Parameters connection (GoogleApi.CloudDebugger.V2.Connection): Connection to server debuggee_id (String.t): ID of the debuggee whose breakpoints to list. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :action.value (String.t): Only breakpoints with the specified action will pass the filter. :clientVersion (String.t): The client version making the call. Schema: &#x60;domain/type/version&#x60; (e.g., &#x60;google.com/intellij/v1&#x60;). :includeAllUsers (boolean()): When set to &#x60;true&#x60;, the response includes the list of breakpoints set by any user. Otherwise, it includes only breakpoints set by the caller. :includeInactive (boolean()): When set to &#x60;true&#x60;, the response includes active and inactive breakpoints. Otherwise, it includes only active breakpoints. :stripResults (boolean()): This field is deprecated. The following fields are always stripped out of the result: &#x60;stack_frames&#x60;, &#x60;evaluated_expressions&#x60; and &#x60;variable_table&#x60;. :waitToken (String.t): A wait token that, if specified, blocks the call until the breakpoints list has changed, or a server selected timeout has expired. The value should be set from the last response. The error code &#x60;google.rpc.Code.ABORTED&#x60; (RPC) is returned on wait timeout, which should be called again with the same &#x60;wait_token&#x60;. Returns {:ok, %GoogleApi.CloudDebugger.V2.Model.ListBreakpointsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.CloudDebugger.V2.Api.Debugger.html#clouddebugger_debugger_debuggees_breakpoints_set/4","title":"GoogleApi.CloudDebugger.V2.Api.Debugger.clouddebugger_debugger_debuggees_breakpoints_set/4","module":"GoogleApi.CloudDebugger.V2.Api.Debugger","type":"function","doc":"Sets the breakpoint to the debuggee. Parameters connection (GoogleApi.CloudDebugger.V2.Connection): Connection to server debuggee_id (String.t): ID of the debuggee where the breakpoint is to be set. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :clientVersion (String.t): The client version making the call. Schema: &#x60;domain/type/version&#x60; (e.g., &#x60;google.com/intellij/v1&#x60;). :body (Breakpoint): Returns {:ok, %GoogleApi.CloudDebugger.V2.Model.SetBreakpointResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.CloudDebugger.V2.Api.Debugger.html#clouddebugger_debugger_debuggees_list/3","title":"GoogleApi.CloudDebugger.V2.Api.Debugger.clouddebugger_debugger_debuggees_list/3","module":"GoogleApi.CloudDebugger.V2.Api.Debugger","type":"function","doc":"Lists all the debuggees that the user has access to. Parameters connection (GoogleApi.CloudDebugger.V2.Connection): Connection to server optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :clientVersion (String.t): The client version making the call. Schema: &#x60;domain/type/version&#x60; (e.g., &#x60;google.com/intellij/v1&#x60;). :includeInactive (boolean()): When set to &#x60;true&#x60;, the result includes all debuggees. Otherwise, the result includes only debuggees that are active. :project (String.t): Project number of a Google Cloud project whose debuggees to list. Returns {:ok, %GoogleApi.CloudDebugger.V2.Model.ListDebuggeesResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.CloudDebugger.V2.Connection.html","title":"GoogleApi.CloudDebugger.V2.Connection","module":"GoogleApi.CloudDebugger.V2.Connection","type":"module","doc":"Handle Tesla connections for GoogleApi.CloudDebugger.V2."},{"ref":"GoogleApi.CloudDebugger.V2.Connection.html#delete/3","title":"GoogleApi.CloudDebugger.V2.Connection.delete/3","module":"GoogleApi.CloudDebugger.V2.Connection","type":"function","doc":"Perform a DELETE request. See request/1 or request/2 for options definition. delete(&quot;/users&quot;) delete(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete(client, &quot;/users&quot;) delete(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudDebugger.V2.Connection.html#delete!/3","title":"GoogleApi.CloudDebugger.V2.Connection.delete!/3","module":"GoogleApi.CloudDebugger.V2.Connection","type":"function","doc":"Perform a DELETE request. See request!/1 or request!/2 for options definition. delete!(&quot;/users&quot;) delete!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete!(client, &quot;/users&quot;) delete!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudDebugger.V2.Connection.html#execute/2","title":"GoogleApi.CloudDebugger.V2.Connection.execute/2","module":"GoogleApi.CloudDebugger.V2.Connection","type":"function","doc":"Execute a request on this connection Returns Tesla.Env"},{"ref":"GoogleApi.CloudDebugger.V2.Connection.html#get/3","title":"GoogleApi.CloudDebugger.V2.Connection.get/3","module":"GoogleApi.CloudDebugger.V2.Connection","type":"function","doc":"Perform a GET request. See request/1 or request/2 for options definition. get(&quot;/users&quot;) get(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get(client, &quot;/users&quot;) get(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudDebugger.V2.Connection.html#get!/3","title":"GoogleApi.CloudDebugger.V2.Connection.get!/3","module":"GoogleApi.CloudDebugger.V2.Connection","type":"function","doc":"Perform a GET request. See request!/1 or request!/2 for options definition. get!(&quot;/users&quot;) get!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get!(client, &quot;/users&quot;) get!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudDebugger.V2.Connection.html#head/3","title":"GoogleApi.CloudDebugger.V2.Connection.head/3","module":"GoogleApi.CloudDebugger.V2.Connection","type":"function","doc":"Perform a HEAD request. See request/1 or request/2 for options definition. head(&quot;/users&quot;) head(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head(client, &quot;/users&quot;) head(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudDebugger.V2.Connection.html#head!/3","title":"GoogleApi.CloudDebugger.V2.Connection.head!/3","module":"GoogleApi.CloudDebugger.V2.Connection","type":"function","doc":"Perform a HEAD request. See request!/1 or request!/2 for options definition. head!(&quot;/users&quot;) head!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head!(client, &quot;/users&quot;) head!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudDebugger.V2.Connection.html#new/0","title":"GoogleApi.CloudDebugger.V2.Connection.new/0","module":"GoogleApi.CloudDebugger.V2.Connection","type":"function","doc":"Configure an authless client connection Returns Tesla.Client.t"},{"ref":"GoogleApi.CloudDebugger.V2.Connection.html#new/1","title":"GoogleApi.CloudDebugger.V2.Connection.new/1","module":"GoogleApi.CloudDebugger.V2.Connection","type":"function","doc":"Configure a client connection using a function which yields a Bearer token. Parameters token_fetcher (function arity of 1): Callback which provides an OAuth2 token given a list of scopes Returns Tesla.Env.client"},{"ref":"GoogleApi.CloudDebugger.V2.Connection.html#options/3","title":"GoogleApi.CloudDebugger.V2.Connection.options/3","module":"GoogleApi.CloudDebugger.V2.Connection","type":"function","doc":"Perform a OPTIONS request. See request/1 or request/2 for options definition. options(&quot;/users&quot;) options(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options(client, &quot;/users&quot;) options(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudDebugger.V2.Connection.html#options!/3","title":"GoogleApi.CloudDebugger.V2.Connection.options!/3","module":"GoogleApi.CloudDebugger.V2.Connection","type":"function","doc":"Perform a OPTIONS request. See request!/1 or request!/2 for options definition. options!(&quot;/users&quot;) options!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options!(client, &quot;/users&quot;) options!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudDebugger.V2.Connection.html#patch/4","title":"GoogleApi.CloudDebugger.V2.Connection.patch/4","module":"GoogleApi.CloudDebugger.V2.Connection","type":"function","doc":"Perform a PATCH request. See request/1 or request/2 for options definition. patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudDebugger.V2.Connection.html#patch!/4","title":"GoogleApi.CloudDebugger.V2.Connection.patch!/4","module":"GoogleApi.CloudDebugger.V2.Connection","type":"function","doc":"Perform a PATCH request. See request!/1 or request!/2 for options definition. patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudDebugger.V2.Connection.html#post/4","title":"GoogleApi.CloudDebugger.V2.Connection.post/4","module":"GoogleApi.CloudDebugger.V2.Connection","type":"function","doc":"Perform a POST request. See request/1 or request/2 for options definition. post(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudDebugger.V2.Connection.html#post!/4","title":"GoogleApi.CloudDebugger.V2.Connection.post!/4","module":"GoogleApi.CloudDebugger.V2.Connection","type":"function","doc":"Perform a POST request. See request!/1 or request!/2 for options definition. post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudDebugger.V2.Connection.html#put/4","title":"GoogleApi.CloudDebugger.V2.Connection.put/4","module":"GoogleApi.CloudDebugger.V2.Connection","type":"function","doc":"Perform a PUT request. See request/1 or request/2 for options definition. put(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudDebugger.V2.Connection.html#put!/4","title":"GoogleApi.CloudDebugger.V2.Connection.put!/4","module":"GoogleApi.CloudDebugger.V2.Connection","type":"function","doc":"Perform a PUT request. See request!/1 or request!/2 for options definition. put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudDebugger.V2.Connection.html#request/2","title":"GoogleApi.CloudDebugger.V2.Connection.request/2","module":"GoogleApi.CloudDebugger.V2.Connection","type":"function","doc":"Perform a request Options: :method - the request method, one of [:head, :get, :delete, :trace, :options, :post, :put, :patch] :url - either full url e.g. &quot;http://example.com/some/path&quot; or just &quot;/some/path&quot; if using Tesla.Middleware.BaseUrl :query - a keyword list of query params, e.g. [page: 1, per_page: 100] :headers - a keyworld list of headers, e.g. [{&quot;content-type&quot;, &quot;text/plain&quot;}] :body - depends on used middleware: by default it can be a binary if using e.g. JSON encoding middleware it can be a nested map if adapter supports it it can be a Stream with any of the above :opts - custom, per-request middleware or adapter options Examples: ExampleApi.request(method: :get, url: &quot;/users/path&quot;) You can also use shortcut methods like: ExampleApi.get(&quot;/users/1&quot;) or ExampleApi.post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;})"},{"ref":"GoogleApi.CloudDebugger.V2.Connection.html#request!/2","title":"GoogleApi.CloudDebugger.V2.Connection.request!/2","module":"GoogleApi.CloudDebugger.V2.Connection","type":"function","doc":"Perform request and raise in case of error. This is similar to request/2 behaviour from Tesla 0.x See request/2 for list of available options."},{"ref":"GoogleApi.CloudDebugger.V2.Connection.html#trace/3","title":"GoogleApi.CloudDebugger.V2.Connection.trace/3","module":"GoogleApi.CloudDebugger.V2.Connection","type":"function","doc":"Perform a TRACE request. See request/1 or request/2 for options definition. trace(&quot;/users&quot;) trace(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace(client, &quot;/users&quot;) trace(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudDebugger.V2.Connection.html#trace!/3","title":"GoogleApi.CloudDebugger.V2.Connection.trace!/3","module":"GoogleApi.CloudDebugger.V2.Connection","type":"function","doc":"Perform a TRACE request. See request!/1 or request!/2 for options definition. trace!(&quot;/users&quot;) trace!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace!(client, &quot;/users&quot;) trace!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.CloudDebugger.V2.Connection.html#t:option/0","title":"GoogleApi.CloudDebugger.V2.Connection.option/0","module":"GoogleApi.CloudDebugger.V2.Connection","type":"type","doc":""},{"ref":"GoogleApi.CloudDebugger.V2.Deserializer.html","title":"GoogleApi.CloudDebugger.V2.Deserializer","module":"GoogleApi.CloudDebugger.V2.Deserializer","type":"module","doc":"Helper functions for deserializing responses into models. This module is no longer used. Please use GoogleApi.Gax.ModelBase instead."},{"ref":"GoogleApi.CloudDebugger.V2.Model.AliasContext.html","title":"GoogleApi.CloudDebugger.V2.Model.AliasContext","module":"GoogleApi.CloudDebugger.V2.Model.AliasContext","type":"module","doc":"An alias to a repo revision. Attributes kind (String.t): The alias kind. Defaults to: null. Enum - one of [ANY, FIXED, MOVABLE, OTHER] name (String.t): The alias name. Defaults to: null."},{"ref":"GoogleApi.CloudDebugger.V2.Model.AliasContext.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.AliasContext.decode/2","module":"GoogleApi.CloudDebugger.V2.Model.AliasContext","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudDebugger.V2.Model.AliasContext.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.AliasContext.t/0","module":"GoogleApi.CloudDebugger.V2.Model.AliasContext","type":"type","doc":""},{"ref":"GoogleApi.CloudDebugger.V2.Model.Breakpoint.html","title":"GoogleApi.CloudDebugger.V2.Model.Breakpoint","module":"GoogleApi.CloudDebugger.V2.Model.Breakpoint","type":"module","doc":"Represents the breakpoint specification, status and results. Attributes action (String.t): Action that the agent should perform when the code at the breakpoint location is hit. Defaults to: null. Enum - one of [CAPTURE, LOG] condition (String.t): Condition that triggers the breakpoint. The condition is a compound boolean expression composed using expressions in a programming language at the source location. Defaults to: null. createTime (DateTime.t): Time this breakpoint was created by the server in seconds resolution. Defaults to: null. evaluatedExpressions ([Variable]): Values of evaluated expressions at breakpoint time. The evaluated expressions appear in exactly the same order they are listed in the &#x60;expressions&#x60; field. The &#x60;name&#x60; field holds the original expression text, the &#x60;value&#x60; or &#x60;members&#x60; field holds the result of the evaluated expression. If the expression cannot be evaluated, the &#x60;status&#x60; inside the &#x60;Variable&#x60; will indicate an error and contain the error text. Defaults to: null. expressions ([String.t]): List of read-only expressions to evaluate at the breakpoint location. The expressions are composed using expressions in the programming language at the source location. If the breakpoint action is &#x60;LOG&#x60;, the evaluated expressions are included in log statements. Defaults to: null. finalTime (DateTime.t): Time this breakpoint was finalized as seen by the server in seconds resolution. Defaults to: null. id (String.t): Breakpoint identifier, unique in the scope of the debuggee. Defaults to: null. isFinalState (boolean()): When true, indicates that this is a final result and the breakpoint state will not change from here on. Defaults to: null. labels (%{optional(String.t) &#x3D;&gt; String.t}): A set of custom breakpoint properties, populated by the agent, to be displayed to the user. Defaults to: null. location (SourceLocation): Breakpoint source location. Defaults to: null. logLevel (String.t): Indicates the severity of the log. Only relevant when action is &#x60;LOG&#x60;. Defaults to: null. Enum - one of [INFO, WARNING, ERROR] logMessageFormat (String.t): Only relevant when action is &#x60;LOG&#x60;. Defines the message to log when the breakpoint hits. The message may include parameter placeholders &#x60;$0&#x60;, &#x60;$1&#x60;, etc. These placeholders are replaced with the evaluated value of the appropriate expression. Expressions not referenced in &#x60;log_message_format&#x60; are not logged. Example: &#x60;Message received, id &#x3D; $0, count &#x3D; $1&#x60; with &#x60;expressions&#x60; &#x3D; &#x60;[ message.id, message.count ]&#x60;. Defaults to: null. stackFrames ([StackFrame]): The stack at breakpoint time, where stack_frames[0] represents the most recently entered function. Defaults to: null. status (StatusMessage): Breakpoint status. The status includes an error flag and a human readable message. This field is usually unset. The message can be either informational or an error message. Regardless, clients should always display the text message back to the user. Error status indicates complete failure of the breakpoint. Example (non-final state): &#x60;Still loading symbols...&#x60; Examples (final state): &#x60;Invalid line number&#x60; referring to location &#x60;Field f not found in class C&#x60; referring to condition Defaults to: null. userEmail (String.t): E-mail address of the user that created this breakpoint Defaults to: null. variableTable ([Variable]): The &#x60;variable_table&#x60; exists to aid with computation, memory and network traffic optimization. It enables storing a variable once and reference it from multiple variables, including variables stored in the &#x60;variable_table&#x60; itself. For example, the same &#x60;this&#x60; object, which may appear at many levels of the stack, can have all of its data stored once in this table. The stack frame variables then would hold only a reference to it. The variable &#x60;var_table_index&#x60; field is an index into this repeated field. The stored objects are nameless and get their name from the referencing variable. The effective variable is a merge of the referencing variable and the referenced variable. Defaults to: null."},{"ref":"GoogleApi.CloudDebugger.V2.Model.Breakpoint.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.Breakpoint.decode/2","module":"GoogleApi.CloudDebugger.V2.Model.Breakpoint","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudDebugger.V2.Model.Breakpoint.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.Breakpoint.t/0","module":"GoogleApi.CloudDebugger.V2.Model.Breakpoint","type":"type","doc":""},{"ref":"GoogleApi.CloudDebugger.V2.Model.CloudRepoSourceContext.html","title":"GoogleApi.CloudDebugger.V2.Model.CloudRepoSourceContext","module":"GoogleApi.CloudDebugger.V2.Model.CloudRepoSourceContext","type":"module","doc":"A CloudRepoSourceContext denotes a particular revision in a cloud repo (a repo hosted by the Google Cloud Platform). Attributes aliasContext (AliasContext): An alias, which may be a branch or tag. Defaults to: null. aliasName (String.t): The name of an alias (branch, tag, etc.). Defaults to: null. repoId (RepoId): The ID of the repo. Defaults to: null. revisionId (String.t): A revision ID. Defaults to: null."},{"ref":"GoogleApi.CloudDebugger.V2.Model.CloudRepoSourceContext.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.CloudRepoSourceContext.decode/2","module":"GoogleApi.CloudDebugger.V2.Model.CloudRepoSourceContext","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudDebugger.V2.Model.CloudRepoSourceContext.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.CloudRepoSourceContext.t/0","module":"GoogleApi.CloudDebugger.V2.Model.CloudRepoSourceContext","type":"type","doc":""},{"ref":"GoogleApi.CloudDebugger.V2.Model.CloudWorkspaceId.html","title":"GoogleApi.CloudDebugger.V2.Model.CloudWorkspaceId","module":"GoogleApi.CloudDebugger.V2.Model.CloudWorkspaceId","type":"module","doc":"A CloudWorkspaceId is a unique identifier for a cloud workspace. A cloud workspace is a place associated with a repo where modified files can be stored before they are committed. Attributes name (String.t): The unique name of the workspace within the repo. This is the name chosen by the client in the Source API&#39;s CreateWorkspace method. Defaults to: null. repoId (RepoId): The ID of the repo containing the workspace. Defaults to: null."},{"ref":"GoogleApi.CloudDebugger.V2.Model.CloudWorkspaceId.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.CloudWorkspaceId.decode/2","module":"GoogleApi.CloudDebugger.V2.Model.CloudWorkspaceId","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudDebugger.V2.Model.CloudWorkspaceId.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.CloudWorkspaceId.t/0","module":"GoogleApi.CloudDebugger.V2.Model.CloudWorkspaceId","type":"type","doc":""},{"ref":"GoogleApi.CloudDebugger.V2.Model.CloudWorkspaceSourceContext.html","title":"GoogleApi.CloudDebugger.V2.Model.CloudWorkspaceSourceContext","module":"GoogleApi.CloudDebugger.V2.Model.CloudWorkspaceSourceContext","type":"module","doc":"A CloudWorkspaceSourceContext denotes a workspace at a particular snapshot. Attributes snapshotId (String.t): The ID of the snapshot. An empty snapshot_id refers to the most recent snapshot. Defaults to: null. workspaceId (CloudWorkspaceId): The ID of the workspace. Defaults to: null."},{"ref":"GoogleApi.CloudDebugger.V2.Model.CloudWorkspaceSourceContext.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.CloudWorkspaceSourceContext.decode/2","module":"GoogleApi.CloudDebugger.V2.Model.CloudWorkspaceSourceContext","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudDebugger.V2.Model.CloudWorkspaceSourceContext.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.CloudWorkspaceSourceContext.t/0","module":"GoogleApi.CloudDebugger.V2.Model.CloudWorkspaceSourceContext","type":"type","doc":""},{"ref":"GoogleApi.CloudDebugger.V2.Model.Debuggee.html","title":"GoogleApi.CloudDebugger.V2.Model.Debuggee","module":"GoogleApi.CloudDebugger.V2.Model.Debuggee","type":"module","doc":"Represents the debugged application. The application may include one or more replicated processes executing the same code. Each of these processes is attached with a debugger agent, carrying out the debugging commands. Agents attached to the same debuggee identify themselves as such by using exactly the same Debuggee message value when registering. Attributes agentVersion (String.t): Version ID of the agent. Schema: &#x60;domain/language-platform/vmajor.minor&#x60; (for example &#x60;google.com/java-gcp/v1.1&#x60;). Defaults to: null. description (String.t): Human readable description of the debuggee. Including a human-readable project name, environment name and version information is recommended. Defaults to: null. extSourceContexts ([ExtendedSourceContext]): References to the locations and revisions of the source code used in the deployed application. Defaults to: null. id (String.t): Unique identifier for the debuggee generated by the controller service. Defaults to: null. isDisabled (boolean()): If set to &#x60;true&#x60;, indicates that the agent should disable itself and detach from the debuggee. Defaults to: null. isInactive (boolean()): If set to &#x60;true&#x60;, indicates that Controller service does not detect any activity from the debuggee agents and the application is possibly stopped. Defaults to: null. labels (%{optional(String.t) &#x3D;&gt; String.t}): A set of custom debuggee properties, populated by the agent, to be displayed to the user. Defaults to: null. project (String.t): Project the debuggee is associated with. Use project number or id when registering a Google Cloud Platform project. Defaults to: null. sourceContexts ([SourceContext]): References to the locations and revisions of the source code used in the deployed application. Defaults to: null. status (StatusMessage): Human readable message to be displayed to the user about this debuggee. Absence of this field indicates no status. The message can be either informational or an error status. Defaults to: null. uniquifier (String.t): Uniquifier to further distinguish the application. It is possible that different applications might have identical values in the debuggee message, thus, incorrectly identified as a single application by the Controller service. This field adds salt to further distinguish the application. Agents should consider seeding this field with value that identifies the code, binary, configuration and environment. Defaults to: null."},{"ref":"GoogleApi.CloudDebugger.V2.Model.Debuggee.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.Debuggee.decode/2","module":"GoogleApi.CloudDebugger.V2.Model.Debuggee","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudDebugger.V2.Model.Debuggee.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.Debuggee.t/0","module":"GoogleApi.CloudDebugger.V2.Model.Debuggee","type":"type","doc":""},{"ref":"GoogleApi.CloudDebugger.V2.Model.Empty.html","title":"GoogleApi.CloudDebugger.V2.Model.Empty","module":"GoogleApi.CloudDebugger.V2.Model.Empty","type":"module","doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); } The JSON representation for &#x60;Empty&#x60; is empty JSON object &#x60;{}&#x60;. Attributes"},{"ref":"GoogleApi.CloudDebugger.V2.Model.Empty.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.Empty.decode/2","module":"GoogleApi.CloudDebugger.V2.Model.Empty","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudDebugger.V2.Model.Empty.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.Empty.t/0","module":"GoogleApi.CloudDebugger.V2.Model.Empty","type":"type","doc":""},{"ref":"GoogleApi.CloudDebugger.V2.Model.ExtendedSourceContext.html","title":"GoogleApi.CloudDebugger.V2.Model.ExtendedSourceContext","module":"GoogleApi.CloudDebugger.V2.Model.ExtendedSourceContext","type":"module","doc":"An ExtendedSourceContext is a SourceContext combined with additional details describing the context. Attributes context (SourceContext): Any source context. Defaults to: null. labels (%{optional(String.t) &#x3D;&gt; String.t}): Labels with user defined metadata. Defaults to: null."},{"ref":"GoogleApi.CloudDebugger.V2.Model.ExtendedSourceContext.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.ExtendedSourceContext.decode/2","module":"GoogleApi.CloudDebugger.V2.Model.ExtendedSourceContext","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudDebugger.V2.Model.ExtendedSourceContext.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.ExtendedSourceContext.t/0","module":"GoogleApi.CloudDebugger.V2.Model.ExtendedSourceContext","type":"type","doc":""},{"ref":"GoogleApi.CloudDebugger.V2.Model.FormatMessage.html","title":"GoogleApi.CloudDebugger.V2.Model.FormatMessage","module":"GoogleApi.CloudDebugger.V2.Model.FormatMessage","type":"module","doc":"Represents a message with parameters. Attributes parameters ([String.t]): Optional parameters to be embedded into the message. Defaults to: null. format (String.t): Format template for the message. The &#x60;format&#x60; uses placeholders &#x60;$0&#x60;, &#x60;$1&#x60;, etc. to reference parameters. &#x60;$$&#x60; can be used to denote the &#x60;$&#x60; character. Examples: &#x60;Failed to load &#39;$0&#39; which helps debug $1 the first time it is loaded. Again, $0 is very important.&#x60; &#x60;Please pay $$10 to use $0 instead of $1.&#x60; Defaults to: null."},{"ref":"GoogleApi.CloudDebugger.V2.Model.FormatMessage.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.FormatMessage.decode/2","module":"GoogleApi.CloudDebugger.V2.Model.FormatMessage","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudDebugger.V2.Model.FormatMessage.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.FormatMessage.t/0","module":"GoogleApi.CloudDebugger.V2.Model.FormatMessage","type":"type","doc":""},{"ref":"GoogleApi.CloudDebugger.V2.Model.GerritSourceContext.html","title":"GoogleApi.CloudDebugger.V2.Model.GerritSourceContext","module":"GoogleApi.CloudDebugger.V2.Model.GerritSourceContext","type":"module","doc":"A SourceContext referring to a Gerrit project. Attributes aliasContext (AliasContext): An alias, which may be a branch or tag. Defaults to: null. aliasName (String.t): The name of an alias (branch, tag, etc.). Defaults to: null. gerritProject (String.t): The full project name within the host. Projects may be nested, so &quot;project/subproject&quot; is a valid project name. The &quot;repo name&quot; is hostURI/project. Defaults to: null. hostUri (String.t): The URI of a running Gerrit instance. Defaults to: null. revisionId (String.t): A revision (commit) ID. Defaults to: null."},{"ref":"GoogleApi.CloudDebugger.V2.Model.GerritSourceContext.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.GerritSourceContext.decode/2","module":"GoogleApi.CloudDebugger.V2.Model.GerritSourceContext","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudDebugger.V2.Model.GerritSourceContext.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.GerritSourceContext.t/0","module":"GoogleApi.CloudDebugger.V2.Model.GerritSourceContext","type":"type","doc":""},{"ref":"GoogleApi.CloudDebugger.V2.Model.GetBreakpointResponse.html","title":"GoogleApi.CloudDebugger.V2.Model.GetBreakpointResponse","module":"GoogleApi.CloudDebugger.V2.Model.GetBreakpointResponse","type":"module","doc":"Response for getting breakpoint information. Attributes breakpoint (Breakpoint): Complete breakpoint state. The fields &#x60;id&#x60; and &#x60;location&#x60; are guaranteed to be set. Defaults to: null."},{"ref":"GoogleApi.CloudDebugger.V2.Model.GetBreakpointResponse.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.GetBreakpointResponse.decode/2","module":"GoogleApi.CloudDebugger.V2.Model.GetBreakpointResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudDebugger.V2.Model.GetBreakpointResponse.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.GetBreakpointResponse.t/0","module":"GoogleApi.CloudDebugger.V2.Model.GetBreakpointResponse","type":"type","doc":""},{"ref":"GoogleApi.CloudDebugger.V2.Model.GitSourceContext.html","title":"GoogleApi.CloudDebugger.V2.Model.GitSourceContext","module":"GoogleApi.CloudDebugger.V2.Model.GitSourceContext","type":"module","doc":"A GitSourceContext denotes a particular revision in a third party Git repository (e.g. GitHub). Attributes revisionId (String.t): Git commit hash. required. Defaults to: null. url (String.t): Git repository URL. Defaults to: null."},{"ref":"GoogleApi.CloudDebugger.V2.Model.GitSourceContext.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.GitSourceContext.decode/2","module":"GoogleApi.CloudDebugger.V2.Model.GitSourceContext","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudDebugger.V2.Model.GitSourceContext.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.GitSourceContext.t/0","module":"GoogleApi.CloudDebugger.V2.Model.GitSourceContext","type":"type","doc":""},{"ref":"GoogleApi.CloudDebugger.V2.Model.ListActiveBreakpointsResponse.html","title":"GoogleApi.CloudDebugger.V2.Model.ListActiveBreakpointsResponse","module":"GoogleApi.CloudDebugger.V2.Model.ListActiveBreakpointsResponse","type":"module","doc":"Response for listing active breakpoints. Attributes breakpoints ([Breakpoint]): List of all active breakpoints. The fields &#x60;id&#x60; and &#x60;location&#x60; are guaranteed to be set on each breakpoint. Defaults to: null. nextWaitToken (String.t): A token that can be used in the next method call to block until the list of breakpoints changes. Defaults to: null. waitExpired (boolean()): If set to &#x60;true&#x60;, indicates that there is no change to the list of active breakpoints and the server-selected timeout has expired. The &#x60;breakpoints&#x60; field would be empty and should be ignored. Defaults to: null."},{"ref":"GoogleApi.CloudDebugger.V2.Model.ListActiveBreakpointsResponse.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.ListActiveBreakpointsResponse.decode/2","module":"GoogleApi.CloudDebugger.V2.Model.ListActiveBreakpointsResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudDebugger.V2.Model.ListActiveBreakpointsResponse.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.ListActiveBreakpointsResponse.t/0","module":"GoogleApi.CloudDebugger.V2.Model.ListActiveBreakpointsResponse","type":"type","doc":""},{"ref":"GoogleApi.CloudDebugger.V2.Model.ListBreakpointsResponse.html","title":"GoogleApi.CloudDebugger.V2.Model.ListBreakpointsResponse","module":"GoogleApi.CloudDebugger.V2.Model.ListBreakpointsResponse","type":"module","doc":"Response for listing breakpoints. Attributes breakpoints ([Breakpoint]): List of breakpoints matching the request. The fields &#x60;id&#x60; and &#x60;location&#x60; are guaranteed to be set on each breakpoint. The fields: &#x60;stack_frames&#x60;, &#x60;evaluated_expressions&#x60; and &#x60;variable_table&#x60; are cleared on each breakpoint regardless of its status. Defaults to: null. nextWaitToken (String.t): A wait token that can be used in the next call to &#x60;list&#x60; (REST) or &#x60;ListBreakpoints&#x60; (RPC) to block until the list of breakpoints has changes. Defaults to: null."},{"ref":"GoogleApi.CloudDebugger.V2.Model.ListBreakpointsResponse.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.ListBreakpointsResponse.decode/2","module":"GoogleApi.CloudDebugger.V2.Model.ListBreakpointsResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudDebugger.V2.Model.ListBreakpointsResponse.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.ListBreakpointsResponse.t/0","module":"GoogleApi.CloudDebugger.V2.Model.ListBreakpointsResponse","type":"type","doc":""},{"ref":"GoogleApi.CloudDebugger.V2.Model.ListDebuggeesResponse.html","title":"GoogleApi.CloudDebugger.V2.Model.ListDebuggeesResponse","module":"GoogleApi.CloudDebugger.V2.Model.ListDebuggeesResponse","type":"module","doc":"Response for listing debuggees. Attributes debuggees ([Debuggee]): List of debuggees accessible to the calling user. The fields &#x60;debuggee.id&#x60; and &#x60;description&#x60; are guaranteed to be set. The &#x60;description&#x60; field is a human readable field provided by agents and can be displayed to users. Defaults to: null."},{"ref":"GoogleApi.CloudDebugger.V2.Model.ListDebuggeesResponse.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.ListDebuggeesResponse.decode/2","module":"GoogleApi.CloudDebugger.V2.Model.ListDebuggeesResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudDebugger.V2.Model.ListDebuggeesResponse.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.ListDebuggeesResponse.t/0","module":"GoogleApi.CloudDebugger.V2.Model.ListDebuggeesResponse","type":"type","doc":""},{"ref":"GoogleApi.CloudDebugger.V2.Model.ProjectRepoId.html","title":"GoogleApi.CloudDebugger.V2.Model.ProjectRepoId","module":"GoogleApi.CloudDebugger.V2.Model.ProjectRepoId","type":"module","doc":"Selects a repo using a Google Cloud Platform project ID (e.g. winged-cargo-31) and a repo name within that project. Attributes projectId (String.t): The ID of the project. Defaults to: null. repoName (String.t): The name of the repo. Leave empty for the default repo. Defaults to: null."},{"ref":"GoogleApi.CloudDebugger.V2.Model.ProjectRepoId.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.ProjectRepoId.decode/2","module":"GoogleApi.CloudDebugger.V2.Model.ProjectRepoId","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudDebugger.V2.Model.ProjectRepoId.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.ProjectRepoId.t/0","module":"GoogleApi.CloudDebugger.V2.Model.ProjectRepoId","type":"type","doc":""},{"ref":"GoogleApi.CloudDebugger.V2.Model.RegisterDebuggeeRequest.html","title":"GoogleApi.CloudDebugger.V2.Model.RegisterDebuggeeRequest","module":"GoogleApi.CloudDebugger.V2.Model.RegisterDebuggeeRequest","type":"module","doc":"Request to register a debuggee. Attributes debuggee (Debuggee): Debuggee information to register. The fields &#x60;project&#x60;, &#x60;uniquifier&#x60;, &#x60;description&#x60; and &#x60;agent_version&#x60; of the debuggee must be set. Defaults to: null."},{"ref":"GoogleApi.CloudDebugger.V2.Model.RegisterDebuggeeRequest.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.RegisterDebuggeeRequest.decode/2","module":"GoogleApi.CloudDebugger.V2.Model.RegisterDebuggeeRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudDebugger.V2.Model.RegisterDebuggeeRequest.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.RegisterDebuggeeRequest.t/0","module":"GoogleApi.CloudDebugger.V2.Model.RegisterDebuggeeRequest","type":"type","doc":""},{"ref":"GoogleApi.CloudDebugger.V2.Model.RegisterDebuggeeResponse.html","title":"GoogleApi.CloudDebugger.V2.Model.RegisterDebuggeeResponse","module":"GoogleApi.CloudDebugger.V2.Model.RegisterDebuggeeResponse","type":"module","doc":"Response for registering a debuggee. Attributes debuggee (Debuggee): Debuggee resource. The field &#x60;id&#x60; is guaranteed to be set (in addition to the echoed fields). If the field &#x60;is_disabled&#x60; is set to &#x60;true&#x60;, the agent should disable itself by removing all breakpoints and detaching from the application. It should however continue to poll &#x60;RegisterDebuggee&#x60; until reenabled. Defaults to: null."},{"ref":"GoogleApi.CloudDebugger.V2.Model.RegisterDebuggeeResponse.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.RegisterDebuggeeResponse.decode/2","module":"GoogleApi.CloudDebugger.V2.Model.RegisterDebuggeeResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudDebugger.V2.Model.RegisterDebuggeeResponse.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.RegisterDebuggeeResponse.t/0","module":"GoogleApi.CloudDebugger.V2.Model.RegisterDebuggeeResponse","type":"type","doc":""},{"ref":"GoogleApi.CloudDebugger.V2.Model.RepoId.html","title":"GoogleApi.CloudDebugger.V2.Model.RepoId","module":"GoogleApi.CloudDebugger.V2.Model.RepoId","type":"module","doc":"A unique identifier for a cloud repo. Attributes projectRepoId (ProjectRepoId): A combination of a project ID and a repo name. Defaults to: null. uid (String.t): A server-assigned, globally unique identifier. Defaults to: null."},{"ref":"GoogleApi.CloudDebugger.V2.Model.RepoId.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.RepoId.decode/2","module":"GoogleApi.CloudDebugger.V2.Model.RepoId","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudDebugger.V2.Model.RepoId.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.RepoId.t/0","module":"GoogleApi.CloudDebugger.V2.Model.RepoId","type":"type","doc":""},{"ref":"GoogleApi.CloudDebugger.V2.Model.SetBreakpointResponse.html","title":"GoogleApi.CloudDebugger.V2.Model.SetBreakpointResponse","module":"GoogleApi.CloudDebugger.V2.Model.SetBreakpointResponse","type":"module","doc":"Response for setting a breakpoint. Attributes breakpoint (Breakpoint): Breakpoint resource. The field &#x60;id&#x60; is guaranteed to be set (in addition to the echoed fileds). Defaults to: null."},{"ref":"GoogleApi.CloudDebugger.V2.Model.SetBreakpointResponse.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.SetBreakpointResponse.decode/2","module":"GoogleApi.CloudDebugger.V2.Model.SetBreakpointResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudDebugger.V2.Model.SetBreakpointResponse.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.SetBreakpointResponse.t/0","module":"GoogleApi.CloudDebugger.V2.Model.SetBreakpointResponse","type":"type","doc":""},{"ref":"GoogleApi.CloudDebugger.V2.Model.SourceContext.html","title":"GoogleApi.CloudDebugger.V2.Model.SourceContext","module":"GoogleApi.CloudDebugger.V2.Model.SourceContext","type":"module","doc":"A SourceContext is a reference to a tree of files. A SourceContext together with a path point to a unique revision of a single file or directory. Attributes cloudRepo (CloudRepoSourceContext): A SourceContext referring to a revision in a cloud repo. Defaults to: null. cloudWorkspace (CloudWorkspaceSourceContext): A SourceContext referring to a snapshot in a cloud workspace. Defaults to: null. gerrit (GerritSourceContext): A SourceContext referring to a Gerrit project. Defaults to: null. git (GitSourceContext): A SourceContext referring to any third party Git repo (e.g. GitHub). Defaults to: null."},{"ref":"GoogleApi.CloudDebugger.V2.Model.SourceContext.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.SourceContext.decode/2","module":"GoogleApi.CloudDebugger.V2.Model.SourceContext","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudDebugger.V2.Model.SourceContext.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.SourceContext.t/0","module":"GoogleApi.CloudDebugger.V2.Model.SourceContext","type":"type","doc":""},{"ref":"GoogleApi.CloudDebugger.V2.Model.SourceLocation.html","title":"GoogleApi.CloudDebugger.V2.Model.SourceLocation","module":"GoogleApi.CloudDebugger.V2.Model.SourceLocation","type":"module","doc":"Represents a location in the source code. Attributes column (integer()): Column within a line. The first column in a line as the value &#x60;1&#x60;. Agents that do not support setting breakpoints on specific columns ignore this field. Defaults to: null. line (integer()): Line inside the file. The first line in the file has the value &#x60;1&#x60;. Defaults to: null. path (String.t): Path to the source file within the source context of the target binary. Defaults to: null."},{"ref":"GoogleApi.CloudDebugger.V2.Model.SourceLocation.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.SourceLocation.decode/2","module":"GoogleApi.CloudDebugger.V2.Model.SourceLocation","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudDebugger.V2.Model.SourceLocation.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.SourceLocation.t/0","module":"GoogleApi.CloudDebugger.V2.Model.SourceLocation","type":"type","doc":""},{"ref":"GoogleApi.CloudDebugger.V2.Model.StackFrame.html","title":"GoogleApi.CloudDebugger.V2.Model.StackFrame","module":"GoogleApi.CloudDebugger.V2.Model.StackFrame","type":"module","doc":"Represents a stack frame context. Attributes arguments ([Variable]): Set of arguments passed to this function. Note that this might not be populated for all stack frames. Defaults to: null. function (String.t): Demangled function name at the call site. Defaults to: null. locals ([Variable]): Set of local variables at the stack frame location. Note that this might not be populated for all stack frames. Defaults to: null. location (SourceLocation): Source location of the call site. Defaults to: null."},{"ref":"GoogleApi.CloudDebugger.V2.Model.StackFrame.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.StackFrame.decode/2","module":"GoogleApi.CloudDebugger.V2.Model.StackFrame","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudDebugger.V2.Model.StackFrame.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.StackFrame.t/0","module":"GoogleApi.CloudDebugger.V2.Model.StackFrame","type":"type","doc":""},{"ref":"GoogleApi.CloudDebugger.V2.Model.StatusMessage.html","title":"GoogleApi.CloudDebugger.V2.Model.StatusMessage","module":"GoogleApi.CloudDebugger.V2.Model.StatusMessage","type":"module","doc":"Represents a contextual status message. The message can indicate an error or informational status, and refer to specific parts of the containing object. For example, the &#x60;Breakpoint.status&#x60; field can indicate an error referring to the &#x60;BREAKPOINT_SOURCE_LOCATION&#x60; with the message &#x60;Location not found&#x60;. Attributes description (FormatMessage): Status message text. Defaults to: null. isError (boolean()): Distinguishes errors from informational messages. Defaults to: null. refersTo (String.t): Reference to which the message applies. Defaults to: null. Enum - one of [UNSPECIFIED, BREAKPOINT_SOURCE_LOCATION, BREAKPOINT_CONDITION, BREAKPOINT_EXPRESSION, BREAKPOINT_AGE, VARIABLE_NAME, VARIABLE_VALUE]"},{"ref":"GoogleApi.CloudDebugger.V2.Model.StatusMessage.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.StatusMessage.decode/2","module":"GoogleApi.CloudDebugger.V2.Model.StatusMessage","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudDebugger.V2.Model.StatusMessage.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.StatusMessage.t/0","module":"GoogleApi.CloudDebugger.V2.Model.StatusMessage","type":"type","doc":""},{"ref":"GoogleApi.CloudDebugger.V2.Model.UpdateActiveBreakpointRequest.html","title":"GoogleApi.CloudDebugger.V2.Model.UpdateActiveBreakpointRequest","module":"GoogleApi.CloudDebugger.V2.Model.UpdateActiveBreakpointRequest","type":"module","doc":"Request to update an active breakpoint. Attributes breakpoint (Breakpoint): Updated breakpoint information. The field &#x60;id&#x60; must be set. The agent must echo all Breakpoint specification fields in the update. Defaults to: null."},{"ref":"GoogleApi.CloudDebugger.V2.Model.UpdateActiveBreakpointRequest.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.UpdateActiveBreakpointRequest.decode/2","module":"GoogleApi.CloudDebugger.V2.Model.UpdateActiveBreakpointRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudDebugger.V2.Model.UpdateActiveBreakpointRequest.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.UpdateActiveBreakpointRequest.t/0","module":"GoogleApi.CloudDebugger.V2.Model.UpdateActiveBreakpointRequest","type":"type","doc":""},{"ref":"GoogleApi.CloudDebugger.V2.Model.UpdateActiveBreakpointResponse.html","title":"GoogleApi.CloudDebugger.V2.Model.UpdateActiveBreakpointResponse","module":"GoogleApi.CloudDebugger.V2.Model.UpdateActiveBreakpointResponse","type":"module","doc":"Response for updating an active breakpoint. The message is defined to allow future extensions. Attributes"},{"ref":"GoogleApi.CloudDebugger.V2.Model.UpdateActiveBreakpointResponse.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.UpdateActiveBreakpointResponse.decode/2","module":"GoogleApi.CloudDebugger.V2.Model.UpdateActiveBreakpointResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudDebugger.V2.Model.UpdateActiveBreakpointResponse.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.UpdateActiveBreakpointResponse.t/0","module":"GoogleApi.CloudDebugger.V2.Model.UpdateActiveBreakpointResponse","type":"type","doc":""},{"ref":"GoogleApi.CloudDebugger.V2.Model.Variable.html","title":"GoogleApi.CloudDebugger.V2.Model.Variable","module":"GoogleApi.CloudDebugger.V2.Model.Variable","type":"module","doc":"Represents a variable or an argument possibly of a compound object type. Note how the following variables are represented: 1) A simple variable: int x &#x3D; 5 { name: &quot;x&quot;, value: &quot;5&quot;, type: &quot;int&quot; } // Captured variable 2) A compound object: struct T { int m1; int m2; }; T x &#x3D; { 3, 7 }; { // Captured variable name: &quot;x&quot;, type: &quot;T&quot;, members { name: &quot;m1&quot;, value: &quot;3&quot;, type: &quot;int&quot; }, members { name: &quot;m2&quot;, value: &quot;7&quot;, type: &quot;int&quot; } } 3) A pointer where the pointee was captured: T x &#x3D; { 3, 7 }; T p &#x3D; &amp;x; { // Captured variable name: &quot;p&quot;, type: &quot;T&quot;, value: &quot;0x00500500&quot;, members { name: &quot;m1&quot;, value: &quot;3&quot;, type: &quot;int&quot; }, members { name: &quot;m2&quot;, value: &quot;7&quot;, type: &quot;int&quot; } } 4) A pointer where the pointee was not captured: T p &#x3D; new T; { // Captured variable name: &quot;p&quot;, type: &quot;T&quot;, value: &quot;0x00400400&quot; status { is_error: true, description { format: &quot;unavailable&quot; } } } The status should describe the reason for the missing value, such as &#x60;&lt;optimized out&gt;&#x60;, &#x60;&lt;inaccessible&gt;&#x60;, &#x60;&lt;pointers limit reached&gt;&#x60;. Note that a null pointer should not have members. 5) An unnamed value: int p &#x3D; new int(7); { // Captured variable name: &quot;p&quot;, value: &quot;0x00500500&quot;, type: &quot;int&quot;, members { value: &quot;7&quot;, type: &quot;int&quot; } } 6) An unnamed pointer where the pointee was not captured: int p &#x3D; new int(7); int pp &#x3D; &amp;p; { // Captured variable name: &quot;pp&quot;, value: &quot;0x00500500&quot;, type: &quot;int&quot;, members { value: &quot;0x00400400&quot;, type: &quot;int&quot; status { is_error: true, description: { format: &quot;unavailable&quot; } } } } } To optimize computation, memory and network traffic, variables that repeat in the output multiple times can be stored once in a shared variable table and be referenced using the &#x60;var_table_index&#x60; field. The variables stored in the shared table are nameless and are essentially a partition of the complete variable. To reconstruct the complete variable, merge the referencing variable with the referenced variable. When using the shared variable table, the following variables: T x &#x3D; { 3, 7 }; T p &#x3D; &amp;x; T&amp; r &#x3D; x; { name: &quot;x&quot;, var_table_index: 3, type: &quot;T&quot; } // Captured variables { name: &quot;p&quot;, value &quot;0x00500500&quot;, type&#x3D;&quot;T&quot;, var_table_index: 3 } { name: &quot;r&quot;, type&#x3D;&quot;T&amp;&quot;, var_table_index: 3 } { // Shared variable table entry #3: members { name: &quot;m1&quot;, value: &quot;3&quot;, type: &quot;int&quot; }, members { name: &quot;m2&quot;, value: &quot;7&quot;, type: &quot;int&quot; } } Note that the pointer address is stored with the referencing variable and not with the referenced variable. This allows the referenced variable to be shared between pointers and references. The type field is optional. The debugger agent may or may not support it. Attributes members ([Variable]): Members contained or pointed to by the variable. Defaults to: null. name (String.t): Name of the variable, if any. Defaults to: null. status (StatusMessage): Status associated with the variable. This field will usually stay unset. A status of a single variable only applies to that variable or expression. The rest of breakpoint data still remains valid. Variables might be reported in error state even when breakpoint is not in final state. The message may refer to variable name with &#x60;refers_to&#x60; set to &#x60;VARIABLE_NAME&#x60;. Alternatively &#x60;refers_to&#x60; will be set to &#x60;VARIABLE_VALUE&#x60;. In either case variable value and members will be unset. Example of error message applied to name: &#x60;Invalid expression syntax&#x60;. Example of information message applied to value: &#x60;Not captured&#x60;. Examples of error message applied to value: &#x60;Malformed string&#x60;, &#x60;Field f not found in class C&#x60; * &#x60;Null pointer dereference&#x60; Defaults to: null. type (String.t): Variable type (e.g. &#x60;MyClass&#x60;). If the variable is split with &#x60;var_table_index&#x60;, &#x60;type&#x60; goes next to &#x60;value&#x60;. The interpretation of a type is agent specific. It is recommended to include the dynamic type rather than a static type of an object. Defaults to: null. value (String.t): Simple value of the variable. Defaults to: null. varTableIndex (integer()): Reference to a variable in the shared variable table. More than one variable can reference the same variable in the table. The &#x60;var_table_index&#x60; field is an index into &#x60;variable_table&#x60; in Breakpoint. Defaults to: null."},{"ref":"GoogleApi.CloudDebugger.V2.Model.Variable.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.Variable.decode/2","module":"GoogleApi.CloudDebugger.V2.Model.Variable","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.CloudDebugger.V2.Model.Variable.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.Variable.t/0","module":"GoogleApi.CloudDebugger.V2.Model.Variable","type":"type","doc":""},{"ref":"GoogleApi.CloudDebugger.V2.RequestBuilder.html","title":"GoogleApi.CloudDebugger.V2.RequestBuilder","module":"GoogleApi.CloudDebugger.V2.RequestBuilder","type":"module","doc":"Helper functions for building Tesla requests. This module is no longer used. Please use GoogleApi.Gax.Request instead."}]